#' @title Iris Data Set
#'
#' @description This is perhaps the best known database to be found in the pattern
#'    recognition literature.  Fisher's paper is a classic in the field
#'    and is referenced frequently to this day.  (See Duda & Hart, for
#'    example.)  The data set contains 3 classes of 50 instances each,
#'    where each class refers to a type of iris plant.  One class is
#'    linearly separable from the other 2; the latter are NOT linearly
#'    separable from each other.
#'
#' @keywords datasets
#' @name iris
#' @usage iris
#' @format A data frame with 150 rows and 5 variables. The variables
#'    are as follows:
#'    \describe{
#'       \item{Sepal.Length}{in cm}
#'       \item{Sepal.Width}{in cm}
#'       \item{Petal.Length}{in cm}
#'       \item{Petal.Width}{in cm}
#'       \item{Species}{(the class) is one of Iris Setosa, Iris Versicolour, Iris Virginica.}
#'    }
#' @source The dataset was obtained from the \emph{UCI Machine Learning Repository}
#'    at \url{https://archive.ics.uci.edu/ml/datasets/Iris}.
#'
"iris"
