% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{auc}
\alias{auc}
\title{Computes the area under the roc curve (AUC) using the trapezoid approximation
on a single (TPR, FPR) point.}
\usage{
auc(class_label, classificMatrix)
}
\arguments{
\item{class_label}{the label of the class.}

\item{classificMatrix}{a classification matrix.}
}
\value{
Returns the AUC for the given class.
}
\description{
Computes the area under the roc curve (AUC) using the trapezoid approximation
on a single (TPR, FPR) point.
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)
aucv <- auc("a", cm)
aucv <- auc(cl[1], cm)

}
\seealso{
\link{classificationMatrix}, \link{tpr}, \link{fpr}, \link{precision}, \link{fmeasure}, \link{specificity}, \link{accuracy}
}
