% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{fpr}
\alias{fpr}
\title{Gets the proportion of false positives (i.e. observations that were incorrectly recognized
as belonging to the class). For more than two classes, these results are calculated comparing
each class to the remaining classes (i.e. a "one versus all" approach).}
\usage{
fpr(class_label, classificMatrix)
}
\arguments{
\item{class_label}{the label of the class.}

\item{classificMatrix}{a classification matrix.}
}
\value{
Returns the proportion of false positives for the given class.
}
\description{
Gets the proportion of false positives (i.e. observations that were incorrectly recognized
as belonging to the class). For more than two classes, these results are calculated comparing
each class to the remaining classes (i.e. a "one versus all" approach).
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)
fprv <- fpr("a", cm)
fprv <- fpr(cl[1], cm)

}
\seealso{
\link{classificationMatrix}, \link{tpr}, \link{precision}, \link{fmeasure}, \link{specificity}, \link{accuracy}
}
