% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{precision}
\alias{precision}
\title{Gets the proportion of true positives from observations classified
as belonging to the class. For more than two classes, these results
are calculated comparing each class to the remaining classes (i.e.
a "one versus all" approach).}
\usage{
precision(class_label, classificMatrix)
}
\arguments{
\item{class_label}{the label of the class.}

\item{classificMatrix}{a classification matrix.}
}
\value{
Returns the precision for the given class.
}
\description{
Gets the proportion of true positives from observations classified
as belonging to the class. For more than two classes, these results
are calculated comparing each class to the remaining classes (i.e.
a "one versus all" approach).
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)
prev <- precision(cl[1], cm)
prev <- precision("a", cm)

}
\seealso{
\link{classificationMatrix}, \link{tpr}, \link{fpr}, \link{fmeasure}, \link{specificity}, \link{accuracy}
}
