% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HPDGClassifier.R
\name{scores}
\alias{scores}
\title{Function for applying an Hybrid Probabilistic Decision Graph classifier (HPDG) to each
observation in a dataset. The HPDG classifier computes the class distribution for each
observation and returns it.}
\usage{
scores(hpdg_classifier, dataset)
}
\arguments{
\item{hpdg_classifier}{an Hybrid Probabilistic Decision Graph classifier.}

\item{dataset}{a String indicating the data file (the path has to be included also).
Data columns are separated by ";" and a header indicates the variables names.}
}
\value{
Return a matrix with the class probability distribution associated to
each observation in the given dataset
}
\description{
Function for applying an Hybrid Probabilistic Decision Graph classifier (HPDG) to each
observation in a dataset. The HPDG classifier computes the class distribution for each
observation and returns it.
}
\examples{
\dontrun{
## Learns a hpdg classifier from a dataset
classifier <- hpdgclassifier("data/iris.csv", "rankedCR", "MOP", 3, 2, 0.5, 5)
predicted_values <- classify (classifier, "data/iris.csv")
predicted_scores <- score (classifier, "data/iris.csv")
predicted_distributions <- scores(classifier, "data/iris.csv")
}

}
\seealso{
\code{\link{hpdgclassifier}}, \link{classify}, \link{score}
}
